DSRW_READ_PACKET(3)

FUNCTION
dsrw_read_packet - Read the binary representation of a data packet.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_packet

(Channel channel, CONST packet_desc *descriptor, char *packet)

DESCRIPTION
This routine will read the binary representation of a data packet from a channel object. The routine will recursively read in sub arrays and linked lists.

channel
    The channel object.

descriptor
    The descriptor for the packet.

packet
    The packet data will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/